// SDI_TreeViewView.h : Schnittstelle der Klasse CSDI_TreeViewView
//


#pragma once

typedef struct treeITEMINFO {
    CString     sName; 
    int			id; 
} ITEMINFO;


class CSDI_TreeViewView : public CTreeView
{
protected: // Nur aus Serialisierung erstellen
	CSDI_TreeViewView();
	DECLARE_DYNCREATE(CSDI_TreeViewView)

// Attribute
public:
	CSDI_TreeViewDoc* GetDocument() const;

// Vorgnge
public:

// berschreibungen
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	CImageList m_ilDrives;
	bool m_selChange;
	

	HTREEITEM  addItem(HTREEITEM parent,
		int nImage, int SelectedImage, int Index, CString sName, int value );

	virtual void OnInitialUpdate(); // Erster Aufruf nach Erstellung
	
	void bsp3a();
	void bsp4();  // benutzt treeITEMINFO
	void bsp4a();  // benutzt treeITEMINFO
	

// Implementierung
public:
	virtual ~CSDI_TreeViewView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen fr die Meldungstabellen
protected:
	//{{AFX_MSG(CSDI_TreeViewView)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnTreeBeispiel1();
	afx_msg void OnTreeBeispiel2();
	afx_msg void OnTreeBeispiel3();
	afx_msg void OnTreeBeispiel4();
	afx_msg void OnTreeBeispiel5();
	afx_msg void OnTreeBeispiel6();
};

#ifndef _DEBUG  // Debugversion in SDI_TreeViewView.cpp
inline CSDI_TreeViewDoc* CSDI_TreeViewView::GetDocument() const
   { return reinterpret_cast<CSDI_TreeViewDoc*>(m_pDocument); }
#endif

